const boxen = require("boxen")
const figures = require("figures")
const helpers = require("./helpers")
const R = require("rambda")

const boxMethod = (inputCollection, behaviourCollection) => {
  if (helpers.isMyMode("BOX", behaviourCollection) === false) {
    return
  }

  if (R.type(R.head(inputCollection)) !== "String") {
    return "EXIT"
  }

  console.log(
    boxen(
      R.head(inputCollection),
      {
        padding     : 1,
        margin      : 1,
        borderStyle : "double-single",
      }
    )
  )

  return "EXIT"
}

module.exports = boxMethod
