const helpers = require("./helpers")
const ms = require("ms")
const R = require("rambda")

const cancelMethod = (inputCollection, behaviourCollection) => {
  if (helpers.isMyMode("CANCEL", behaviourCollection) === false) {
    return
  }

  const tagRequestValue = helpers.getTag(behaviourCollection)
  const tag = R.ifElse(
    x => x === false,
    () => helpers.intervals.GENERIC_INTERVAL === null ? false : "GENERIC_INTERVAL",
    R.identity
  )(tagRequestValue)

  if (tag === false) {
    return
  }

  clearInterval(helpers.intervals[ tag ])
  helpers.intervals[ tag ] = null

  return "EXIT"
}

module.exports = cancelMethod
