const helpers = require("./helpers")
const R = require("rambdax")

const randomMethod = (_, behaviourCollection) => {
  if(`${process.env.LOG_FN_FLAG}` === 'false'){
    return 'EXIT'
  }

  const inputAsNumber = R.compose(
    Number,
    R.replace("R", ""),
    R.head,
    R.ifElse(
      x => x.length === 0,
      R.always(["R100"]),
      R.identity
    ),
    R.filter(R.test(/R[0-9]{1,3}/))
  )(behaviourCollection)

  return inputAsNumber > R.random(0, 99) ?
    undefined :
    "EXIT"
}

module.exports = randomMethod
