const chalk = require("chalk")
const figures = require("figures")
const helpers = require("./helpers")
const R = require("rambda")

const typeMethod = (inputCollection, behaviourCollection) => {
  if (helpers.isMyMode("TYPE", behaviourCollection) === false) {
    return
  }
  const fn = logData => [ `Type - '${ R.type(logData) }' `, logData, "|" ]
  const tag = helpers.getTag(behaviourCollection) === false ?
    "" :
    helpers.getTag(behaviourCollection)

  const willLog = R.compose(
    R.init,
    R.flatten,
    R.map(fn)
  )(inputCollection)

  console.log(chalk.blue(`  ℹ  ${ tag }`), ...willLog)

  return "EXIT"
}

module.exports = typeMethod
